org.firebirdsql.gds.ng.jna

## Class FbLocalDatabaseFactory

- java.lang.Object
- - org.firebirdsql.gds.ng.jna.AbstractNativeDatabaseFactory
  - - org.firebirdsql.gds.ng.jna.FbLocalDatabaseFactory

- All Implemented Interfaces:
    FbDatabaseFactory

      public class FbLocalDatabaseFactory
      extends AbstractNativeDatabaseFactory

  Implementation of `FbDatabaseFactory` for establishing local connections using the Firebird client library.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FbLocalDatabaseFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <T extends IAttachProperties<T>> T` | `filterProperties(T attachProperties)` Allows the database factory to perform modification of the attach properties before use.
    `protected FbClientLibrary` | `getClientLibrary()`
    `static FbLocalDatabaseFactory` | `getInstance()`

    - ### Methods inherited from class org.firebirdsql.gds.ng.jna.AbstractNativeDatabaseFactory

      `connect, serviceConnect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FbLocalDatabaseFactory

          public FbLocalDatabaseFactory()

  - ### Method Detail

    - #### getClientLibrary

          protected FbClientLibrary getClientLibrary()

      Specified by:
        `getClientLibrary` in class `AbstractNativeDatabaseFactory`

    - #### filterProperties

          protected <T extends IAttachProperties<T>> T filterProperties(T attachProperties)

      Description copied from class: `AbstractNativeDatabaseFactory`
      Allows the database factory to perform modification of the attach properties before use.

      Implementations should be prepared to handle immutable attach properties. Implementations are strongly advised to copy the attach properties before modification and return this copy.

      Overrides:
        `filterProperties` in class `AbstractNativeDatabaseFactory`
      Type Parameters:
        `T` - Type of attach properties
      Parameters:
        `attachProperties` - Attach properties
      Returns:
        Filtered properties

    - #### getInstance

          public static FbLocalDatabaseFactory getInstance()

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.